# onDialogueComplete

Field in [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md)

## Summary

A Unity event that is called once the dialogue has completed.

```csharp
public UnityEvent? onDialogueComplete;
```

## See Also

* [Dialogue.DialogueCompleteHandler](/api/csharp/yarn/yarn.dialogue/yarn.dialogue.dialoguecompletehandler.md): Gets or sets the [DialogueCompleteHandler](/api/csharp/yarn/yarn.dialoguecompletehandler.md) that is called when the dialogue reaches its end.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.ondialoguecomplete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
